
שפה 🇮🇱 עברית
תיעוד
התחלה
התייחסות API
שימוש
צבר
יומני ביקורת
אימות
חסימה מההערה
בדיקת הערות חסומות
הערות
הערות למשתמש
תצורות תחום
תבניות אימייל
יומן אירועים
פוסטים בפיד
סימון הערה
GIFים
תגיות
מודרציה
מודרטורים
ספירת התראות
התראות
תגובות לדף
דפים
אירועי ווב-הוק ממתינים
תצורות שאלות
תוצאות שאלות
צבירת תוצאות שאלות
משתמשי SSO
מנויים
שימוש יומי של שוכר
חבילות שוכר
משתמשי שוכר
שוכרים
כרטיסים
תרגומים
העלאת תמונה
התקדמות תגים למשתמש
תגי משתמש
התראות משתמש
סטטוס נוכחות משתמש
חיפוש משתמשים
משתמשים
הצבעות
FastComments Nim SDK
זה ה-SDK הרשמי של Nim עבור FastComments.
ה-SDK הרשמי של Nim עבור ממשק ה-API של FastComments
מאגר
סוכני קידוד AI 
תן לסוכן הקידוד שלך את ההקשר של FastComments שהוא צריך - וידג׳טים, תצורה, Secure SSO, ה‑REST API, וה‑SDKs:
npx skills add fastcomments/skills
עובד עם Claude Code, Codex, Cursor, Copilot, Gemini, וכל סוכן אחר שה-skills CLI תומך בו.
התקנה 
Using Nimble
nimble install fastcomments
Building from Source
nimble build
Library Contents
ספרייה זו מכילה את לקוח ה‑API שנוצר ואת כלי העזר של SSO כדי להקל על העבודה עם ה‑API.
Public vs Secured APIs
ללקוח ה‑API קיימים שלושה מודולי API: api_default, api_public, ו‑api_moderation. המודול api_default מכיל שיטות הדורשות את מפתח ה‑API שלכם, וה‑api_public מכיל קריאות API שניתן לבצע ישירות מדפדפן/מכשיר נייד/וכו׳ ללא אימות. מודול api_moderation מכיל שיטות ללוח המחוונים של המפקח.
מודול api_moderation מספק חבילה נרחבת של API מודרציה חיים ומהירים. כל שיטת api_moderation מקבלת פרמטר sso וניתן לאמת באמצעות SSO או קובץ cookie של מושב FastComments.com.
התחלה מהירה 
שימוש בממשקי API מאומתים (DefaultAPI)
חשוב: קצוות מאומתים דורשים שהמפתח API שלך יוגדר ככותרת x-api-key.
import httpclient
import fastcomments
import fastcomments/apis/api_default
import fastcomments/models/model_comment_data
let client = newHttpClient()
client.headers["x-api-key"] = "your-api-key"
# Make authenticated API calls.
# Required parameters (and the request body) are positional; optional
# parameters are passed via the operation's options object.
let (response, httpResponse) = getComments(
httpClient = client,
tenantId = "your-tenant-id",
options = GetCommentsOptions(
urlId: "your-url-id",
direction: SortDirections.DESC
)
)
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
שימוש בממשקי API ציבוריים (PublicAPI)
קצוות ציבוריים אינם דורשים אימות:
import httpclient
import fastcomments
import fastcomments/apis/api_public
let client = newHttpClient()
# Make public API calls.
# tenantId and urlId are required (positional); everything else is optional.
let (response, httpResponse) = getCommentsPublic(
httpClient = client,
tenantId = "your-tenant-id",
urlId = "your-url-id",
options = GetCommentsPublicOptions(
direction: SortDirections.DESC
)
)
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
שימוש בממשקי API למודרציה (ModerationAPI)
קצוות המודרציה מניעים את לוח הבקרה של המנחה ומאומתים בעזרת אסימון SSO למנחה הפועל:
import httpclient
import fastcomments
import fastcomments/apis/api_moderation
let client = newHttpClient()
# List comments in the moderation dashboard.
# This operation has no required parameters, so everything is optional.
let (response, httpResponse) = getApiComments(
httpClient = client,
options = GetApiCommentsOptions(
count: 30,
tenantId: "your-tenant-id",
sso: "your-sso-token"
)
)
if response.isSome:
let resp = response.get()
echo "Found ", resp.comments.len, " comments"
בעיות נפוצות
- שגיאת אימות 401: ודא שהגדרת את כותרת
x-api-keyב-HttpClient שלך לפני ביצוע בקשות DefaultAPI:client.headers["x-api-key"] = "your-api-key" - מחלקת API שגויה: השתמש ב-
api_defaultלבקשות מאומתות בצד השרת,api_publicלבקשות בצד הלקוח/ציבוריות, ו-api_moderationלבקשות של לוח הבקרה של המנחה.
ביצוע קריאות API 
All API methods in this SDK return tuples of (Option[ResponseType], Response). The first element contains the parsed response if successful, and the second element is the raw HTTP response.
Required parameters and the request body are passed positionally. The remaining optional parameters are collected into a single Api<Operation>Options object, which is the last argument. Operations with no optional parameters take no options object.
דוגמה: הבאת תגובות
import httpclient
import options
import fastcomments
import fastcomments/apis/api_default
let client = newHttpClient()
client.headers["x-api-key"] = "your-api-key"
let (response, httpResponse) = getComments(
httpClient = client,
tenantId = "your-tenant-id",
options = GetCommentsOptions(
urlId: "your-url-id",
direction: SortDirections.DESC
)
)
if httpResponse.code == Http200:
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
הערות 
מזהי שידור
תראו שעליכם להעביר broadcastId בחלק מקריאות ה-API. כשתקבלו אירועים, תקבלו חזרה את ה-ID הזה, כך שתדעו להתעלם מהאירוע אם אתם מתכננים ליישם שינויים באופן אופטימי בצד הלקוח (שאתם כנראה תרצו לעשות שכן זה מספק את חוויית המשתמש הטובה ביותר). העבירו כאן UUID. ה-ID צריך להיות ייחודי מספיק כדי שלא יופיע פעמיים במהלך הפעלה אחת של הדפדפן.
SSO (Single Sign-On)
לדוגמאות של SSO, ראו למטה.
שימוש SSO 
SSO פשוט
import fastcomments/sso
let user = newSimpleSSOUserData(
userId = "user-123",
email = "user@example.com",
avatar = "https://example.com/avatar.jpg"
)
let sso = newSimple(simpleUserData = user)
let token = sso.createToken()
echo "SSO Token: ", token
SSO מאובטח
import fastcomments/sso
let user = newSecureSSOUserData(
userId = "user-123",
email = "user@example.com",
username = "johndoe",
avatar = "https://example.com/avatar.jpg"
)
let apiKey = "your-api-key"
let sso = newSecure(apiKey = apiKey, secureUserData = user)
let token = sso.createToken()
echo "Secure SSO Token: ", token
תיעוד עבור fastcomments 
Documentation for API Endpoints
All URIs are relative to https://fastcomments.com
| Class | Method | HTTP request | Description |
|---|---|---|---|
| DefaultApi | addDomainConfig | POST /api/v1/domain-configs | |
| DefaultApi | addHashTag | POST /api/v1/hash-tags | |
| DefaultApi | addHashTagsBulk | POST /api/v1/hash-tags/bulk | |
| DefaultApi | addPage | POST /api/v1/pages | |
| DefaultApi | addSSOUser | POST /api/v1/sso-users | |
| DefaultApi | aggregate | POST /api/v1/aggregate | Aggregates documents by grouping them (if groupBy is provided) and applying multiple operations. Different operations (e.g. sum, countDistinct, avg, etc.) are supported. |
| DefaultApi | aggregateQuestionResults | GET /api/v1/question-results-aggregation | |
| DefaultApi | blockUserFromComment | POST /api/v1/comments/{id}/block | |
| DefaultApi | bulkAggregateQuestionResults | POST /api/v1/question-results-aggregation/bulk | |
| DefaultApi | changeTicketState | PATCH /api/v1/tickets/{id}/state | |
| DefaultApi | combineCommentsWithQuestionResults | GET /api/v1/question-results-aggregation/combine/comments | |
| DefaultApi | createEmailTemplate | POST /api/v1/email-templates | |
| DefaultApi | createFeedPost | POST /api/v1/feed-posts | |
| DefaultApi | createModerator | POST /api/v1/moderators | |
| DefaultApi | createQuestionConfig | POST /api/v1/question-configs | |
| DefaultApi | createQuestionResult | POST /api/v1/question-results | |
| DefaultApi | createSubscription | POST /api/v1/subscriptions | |
| DefaultApi | createTenant | POST /api/v1/tenants | |
| DefaultApi | createTenantPackage | POST /api/v1/tenant-packages | |
| DefaultApi | createTenantUser | POST /api/v1/tenant-users | |
| DefaultApi | createTicket | POST /api/v1/tickets | |
| DefaultApi | createUserBadge | POST /api/v1/user-badges | |
| DefaultApi | createVote | POST /api/v1/votes | |
| DefaultApi | deleteComment | DELETE /api/v1/comments/{id} | |
| DefaultApi | deleteDomainConfig | DELETE /api/v1/domain-configs/{domain} | |
| DefaultApi | deleteEmailTemplate | DELETE /api/v1/email-templates/{id} | |
| DefaultApi | deleteEmailTemplateRenderError | DELETE /api/v1/email-templates/{id}/render-errors/{errorId} | |
| DefaultApi | deleteHashTag | DELETE /api/v1/hash-tags/{tag} | |
| DefaultApi | deleteModerator | DELETE /api/v1/moderators/{id} | |
| DefaultApi | deleteNotificationCount | DELETE /api/v1/notification-count/{id} | |
| DefaultApi | deletePage | DELETE /api/v1/pages/{id} | |
| DefaultApi | deletePendingWebhookEvent | DELETE /api/v1/pending-webhook-events/{id} | |
| DefaultApi | deleteQuestionConfig | DELETE /api/v1/question-configs/{id} | |
| DefaultApi | deleteQuestionResult | DELETE /api/v1/question-results/{id} | |
| DefaultApi | deleteSSOUser | DELETE /api/v1/sso-users/{id} | |
| DefaultApi | deleteSubscription | DELETE /api/v1/subscriptions/{id} | |
| DefaultApi | deleteTenant | DELETE /api/v1/tenants/{id} | |
| DefaultApi | deleteTenantPackage | DELETE /api/v1/tenant-packages/{id} | |
| DefaultApi | deleteTenantUser | DELETE /api/v1/tenant-users/{id} | |
| DefaultApi | deleteUserBadge | DELETE /api/v1/user-badges/{id} | |
| DefaultApi | deleteVote | DELETE /api/v1/votes/{id} | |
| DefaultApi | flagComment | POST /api/v1/comments/{id}/flag | |
| DefaultApi | getAuditLogs | GET /api/v1/audit-logs | |
| DefaultApi | getCachedNotificationCount | GET /api/v1/notification-count/{id} | |
| DefaultApi | getComment | GET /api/v1/comments/{id} | |
| DefaultApi | getComments | GET /api/v1/comments | |
| DefaultApi | getDomainConfig | GET /api/v1/domain-configs/{domain} | |
| DefaultApi | getDomainConfigs | GET /api/v1/domain-configs | |
| DefaultApi | getEmailTemplate | GET /api/v1/email-templates/{id} | |
| DefaultApi | getEmailTemplateDefinitions | GET /api/v1/email-templates/definitions | |
| DefaultApi | getEmailTemplateRenderErrors | GET /api/v1/email-templates/{id}/render-errors | |
| DefaultApi | getEmailTemplates | GET /api/v1/email-templates | |
| DefaultApi | getFeedPosts | GET /api/v1/feed-posts | req tenantId afterId |
| DefaultApi | getHashTags | GET /api/v1/hash-tags | |
| DefaultApi | getModerator | GET /api/v1/moderators/{id} | |
| DefaultApi | getModerators | GET /api/v1/moderators | |
| DefaultApi | getNotificationCount | GET /api/v1/notifications/count | |
| DefaultApi | getNotifications | GET /api/v1/notifications | |
| DefaultApi | getPageByURLId | GET /api/v1/pages/by-url-id | |
| DefaultApi | getPages | GET /api/v1/pages | |
| DefaultApi | getPendingWebhookEventCount | GET /api/v1/pending-webhook-events/count | |
| DefaultApi | getPendingWebhookEvents | GET /api/v1/pending-webhook-events | |
| DefaultApi | getQuestionConfig | GET /api/v1/question-configs/{id} | |
| DefaultApi | getQuestionConfigs | GET /api/v1/question-configs | |
| DefaultApi | getQuestionResult | GET /api/v1/question-results/{id} | |
| DefaultApi | getQuestionResults | GET /api/v1/question-results | |
| DefaultApi | getSSOUserByEmail | GET /api/v1/sso-users/by-email/{email} | |
| DefaultApi | getSSOUserById | GET /api/v1/sso-users/by-id/{id} | |
| DefaultApi | getSSOUsers | GET /api/v1/sso-users | |
| DefaultApi | getSubscriptions | GET /api/v1/subscriptions | |
| DefaultApi | getTenant | GET /api/v1/tenants/{id} | |
| DefaultApi | getTenantDailyUsages | GET /api/v1/tenant-daily-usage | |
| DefaultApi | getTenantPackage | GET /api/v1/tenant-packages/{id} | |
| DefaultApi | getTenantPackages | GET /api/v1/tenant-packages | |
| DefaultApi | getTenantUser | GET /api/v1/tenant-users/{id} | |
| DefaultApi | getTenantUsers | GET /api/v1/tenant-users | |
| DefaultApi | getTenants | GET /api/v1/tenants | |
| DefaultApi | getTicket | GET /api/v1/tickets/{id} | |
| DefaultApi | getTickets | GET /api/v1/tickets | |
| DefaultApi | getUser | GET /api/v1/users/{id} | |
| DefaultApi | getUserBadge | GET /api/v1/user-badges/{id} | |
| DefaultApi | getUserBadgeProgressById | GET /api/v1/user-badge-progress/{id} | |
| DefaultApi | getUserBadgeProgressByUserId | GET /api/v1/user-badge-progress/user/{userId} | |
| DefaultApi | getUserBadgeProgressList | GET /api/v1/user-badge-progress | |
| DefaultApi | getUserBadges | GET /api/v1/user-badges | |
| DefaultApi | getVotes | GET /api/v1/votes | |
| DefaultApi | getVotesForUser | GET /api/v1/votes/for-user | |
| DefaultApi | patchDomainConfig | PATCH /api/v1/domain-configs/{domainToUpdate} | |
| DefaultApi | patchHashTag | PATCH /api/v1/hash-tags/{tag} | |
| DefaultApi | patchPage | PATCH /api/v1/pages/{id} | |
| DefaultApi | patchSSOUser | PATCH /api/v1/sso-users/{id} | |
| DefaultApi | putDomainConfig | PUT /api/v1/domain-configs/{domainToUpdate} | |
| DefaultApi | putSSOUser | PUT /api/v1/sso-users/{id} | |
| DefaultApi | renderEmailTemplate | POST /api/v1/email-templates/render | |
| DefaultApi | replaceTenantPackage | PUT /api/v1/tenant-packages/{id} | |
| DefaultApi | replaceTenantUser | PUT /api/v1/tenant-users/{id} | |
| DefaultApi | saveComment | POST /api/v1/comments | |
| DefaultApi | saveCommentsBulk | POST /api/v1/comments/bulk | |
| DefaultApi | sendInvite | POST /api/v1/moderators/{id}/send-invite | |
| DefaultApi | sendLoginLink | POST /api/v1/tenant-users/{id}/send-login-link | |
| DefaultApi | unBlockUserFromComment | POST /api/v1/comments/{id}/un-block | |
| DefaultApi | unFlagComment | POST /api/v1/comments/{id}/un-flag | |
| DefaultApi | updateComment | PATCH /api/v1/comments/{id} | |
| DefaultApi | updateEmailTemplate | PATCH /api/v1/email-templates/{id} | |
| DefaultApi | updateFeedPost | PATCH /api/v1/feed-posts/{id} | |
| DefaultApi | updateModerator | PATCH /api/v1/moderators/{id} | |
| DefaultApi | updateNotification | PATCH /api/v1/notifications/{id} | |
| DefaultApi | updateQuestionConfig | PATCH /api/v1/question-configs/{id} | |
| DefaultApi | updateQuestionResult | PATCH /api/v1/question-results/{id} | |
| DefaultApi | updateSubscription | PATCH /api/v1/subscriptions/{id} | |
| DefaultApi | updateTenant | PATCH /api/v1/tenants/{id} | |
| DefaultApi | updateTenantPackage | PATCH /api/v1/tenant-packages/{id} | |
| DefaultApi | updateTenantUser | PATCH /api/v1/tenant-users/{id} | |
| DefaultApi | updateUserBadge | PUT /api/v1/user-badges/{id} | |
| ModerationApi | deleteModerationVote | DELETE /auth/my-account/moderate-comments/mod_api/vote/{commentId}/{voteId} | |
| ModerationApi | getApiComments | GET /auth/my-account/moderate-comments/mod_api/api/comments | |
| ModerationApi | getApiExportStatus | GET /auth/my-account/moderate-comments/mod_api/api/export/status | |
| ModerationApi | getApiIds | GET /auth/my-account/moderate-comments/mod_api/api/ids | |
| ModerationApi | getBanUsersFromComment | GET /auth/my-account/moderate-comments/mod_api/ban-users/from-comment/{commentId} | |
| ModerationApi | getCommentBanStatus | GET /auth/my-account/moderate-comments/mod_api/get-comment-ban-status/{commentId} | |
| ModerationApi | getCommentChildren | GET /auth/my-account/moderate-comments/mod_api/comment-children/{commentId} | |
| ModerationApi | getCount | GET /auth/my-account/moderate-comments/mod_api/count | |
| ModerationApi | getCounts | GET /auth/my-account/moderate-comments/banned-users/mod_api/counts | |
| ModerationApi | getLogs | GET /auth/my-account/moderate-comments/mod_api/logs/{commentId} | |
| ModerationApi | getManualBadges | GET /auth/my-account/moderate-comments/mod_api/get-manual-badges | |
| ModerationApi | getManualBadgesForUser | GET /auth/my-account/moderate-comments/mod_api/get-manual-badges-for-user | |
| ModerationApi | getModerationComment | GET /auth/my-account/moderate-comments/mod_api/comment/{commentId} | |
| ModerationApi | getModerationCommentText | GET /auth/my-account/moderate-comments/mod_api/get-comment-text/{commentId} | |
| ModerationApi | getPreBanSummary | GET /auth/my-account/moderate-comments/mod_api/pre-ban-summary/{commentId} | |
| ModerationApi | getSearchCommentsSummary | GET /auth/my-account/moderate-comments/mod_api/search/comments/summary | |
| ModerationApi | getSearchPages | GET /auth/my-account/moderate-comments/mod_api/search/pages | |
| ModerationApi | getSearchSites | GET /auth/my-account/moderate-comments/mod_api/search/sites | |
| ModerationApi | getSearchSuggest | GET /auth/my-account/moderate-comments/mod_api/search/suggest | |
| ModerationApi | getSearchUsers | GET /auth/my-account/moderate-comments/mod_api/search/users | |
| ModerationApi | getTrustFactor | GET /auth/my-account/moderate-comments/mod_api/get-trust-factor | |
| ModerationApi | getUserBanPreference | GET /auth/my-account/moderate-comments/mod_api/user-ban-preference | |
| ModerationApi | getUserInternalProfile | GET /auth/my-account/moderate-comments/mod_api/get-user-internal-profile | |
| ModerationApi | postAdjustCommentVotes | POST /auth/my-account/moderate-comments/mod_api/adjust-comment-votes/{commentId} | |
| ModerationApi | postApiExport | POST /auth/my-account/moderate-comments/mod_api/api/export | |
| ModerationApi | postBanUserFromComment | POST /auth/my-account/moderate-comments/mod_api/ban-user/from-comment/{commentId} | |
| ModerationApi | postBanUserUndo | POST /auth/my-account/moderate-comments/mod_api/ban-user/undo | |
| ModerationApi | postBulkPreBanSummary | POST /auth/my-account/moderate-comments/mod_api/bulk-pre-ban-summary | |
| ModerationApi | postCommentsByIds | POST /auth/my-account/moderate-comments/mod_api/comments-by-ids | |
| ModerationApi | postFlagComment | POST /auth/my-account/moderate-comments/mod_api/flag-comment/{commentId} | |
| ModerationApi | postRemoveComment | POST /auth/my-account/moderate-comments/mod_api/remove-comment/{commentId} | |
| ModerationApi | postRestoreDeletedComment | POST /auth/my-account/moderate-comments/mod_api/restore-deleted-comment/{commentId} | |
| ModerationApi | postSetCommentApprovalStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-approval-status/{commentId} | |
| ModerationApi | postSetCommentReviewStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-review-status/{commentId} | |
| ModerationApi | postSetCommentSpamStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-spam-status/{commentId} | |
| ModerationApi | postSetCommentText | POST /auth/my-account/moderate-comments/mod_api/set-comment-text/{commentId} | |
| ModerationApi | postUnFlagComment | POST /auth/my-account/moderate-comments/mod_api/un-flag-comment/{commentId} | |
| ModerationApi | postVote | POST /auth/my-account/moderate-comments/mod_api/vote/{commentId} | |
| ModerationApi | putAwardBadge | PUT /auth/my-account/moderate-comments/mod_api/award-badge | |
| ModerationApi | putCloseThread | PUT /auth/my-account/moderate-comments/mod_api/close-thread | |
| ModerationApi | putRemoveBadge | PUT /auth/my-account/moderate-comments/mod_api/remove-badge | |
| ModerationApi | putReopenThread | PUT /auth/my-account/moderate-comments/mod_api/reopen-thread | |
| ModerationApi | setTrustFactor | PUT /auth/my-account/moderate-comments/mod_api/set-trust-factor | |
| PublicApi | blockFromCommentPublic | POST /block-from-comment/{commentId} | |
| PublicApi | checkedCommentsForBlocked | GET /check-blocked-comments | |
| PublicApi | createCommentPublic | POST /comments/{tenantId} | |
| PublicApi | createFeedPostPublic | POST /feed-posts/{tenantId} | |
| PublicApi | createV1PageReact | POST /page-reacts/v1/likes/{tenantId} | |
| PublicApi | createV2PageReact | POST /page-reacts/v2/{tenantId} | |
| PublicApi | deleteCommentPublic | DELETE /comments/{tenantId}/{commentId} | |
| PublicApi | deleteCommentVote | DELETE /comments/{tenantId}/{commentId}/vote/{voteId} | |
| PublicApi | deleteFeedPostPublic | DELETE /feed-posts/{tenantId}/{postId} | |
| PublicApi | deleteV1PageReact | DELETE /page-reacts/v1/likes/{tenantId} | |
| PublicApi | deleteV2PageReact | DELETE /page-reacts/v2/{tenantId} | |
| PublicApi | flagCommentPublic | POST /flag-comment/{commentId} | |
| PublicApi | getCommentText | GET /comments/{tenantId}/{commentId}/text | |
| PublicApi | getCommentVoteUserNames | GET /comments/{tenantId}/{commentId}/votes | |
| PublicApi | getCommentsForUser | GET /comments-for-user | |
| PublicApi | getCommentsPublic | GET /comments/{tenantId} | req tenantId urlId |
| PublicApi | getEventLog | GET /event-log/{tenantId} | req tenantId urlId userIdWS |
| PublicApi | getFeedPostsPublic | GET /feed-posts/{tenantId} | req tenantId afterId |
| PublicApi | getFeedPostsStats | GET /feed-posts/{tenantId}/stats | |
| PublicApi | getGifLarge | GET /gifs/get-large/{tenantId} | |
| PublicApi | getGifsSearch | GET /gifs/search/{tenantId} | |
| PublicApi | getGifsTrending | GET /gifs/trending/{tenantId} | |
| PublicApi | getGlobalEventLog | GET /event-log/global/{tenantId} | req tenantId urlId userIdWS |
| PublicApi | getOfflineUsers | GET /pages/{tenantId}/users/offline | Past commenters on the page who are NOT currently online. Sorted by displayName. Use this after exhausting /users/online to render a "Members" section. Cursor pagination on commenterName: server walks the partial {tenantId, urlId, commenterName} index from afterName forward via $gt, no $skip cost. |
| PublicApi | getOnlineUsers | GET /pages/{tenantId}/users/online | Currently-online viewers of a page: people whose websocket session is subscribed to the page right now. Returns anonCount + totalCount (room-wide subscribers, including anon viewers we don't enumerate). |
| PublicApi | getPagesPublic | GET /pages/{tenantId} | List pages for a tenant. Used by the FChat desktop client to populate its room list. Requires enableFChat to be true on the resolved custom config for each page. Pages that require SSO are filtered against the requesting user's group access. |
| PublicApi | getTranslations | GET /translations/{namespace}/{component} | |
| PublicApi | getUserNotificationCount | GET /user-notifications/get-count | |
| PublicApi | getUserNotifications | GET /user-notifications | |
| PublicApi | getUserPresenceStatuses | GET /user-presence-status | |
| PublicApi | getUserReactsPublic | GET /feed-posts/{tenantId}/user-reacts | |
| PublicApi | getUsersInfo | GET /pages/{tenantId}/users/info | Bulk user info for a tenant. Given userIds, return display info from User / SSOUser. Used by the comment widget to enrich users that just appeared via a presence event. No page context: privacy is enforced uniformly (private profiles are masked). |
| PublicApi | getV1PageLikes | GET /page-reacts/v1/likes/{tenantId} | |
| PublicApi | getV2PageReactUsers | GET /page-reacts/v2/{tenantId}/list | |
| PublicApi | getV2PageReacts | GET /page-reacts/v2/{tenantId} | |
| PublicApi | lockComment | POST /comments/{tenantId}/{commentId}/lock | |
| PublicApi | logoutPublic | PUT /auth/logout | |
| PublicApi | pinComment | POST /comments/{tenantId}/{commentId}/pin | |
| PublicApi | reactFeedPostPublic | POST /feed-posts/{tenantId}/react/{postId} | |
| PublicApi | resetUserNotificationCount | POST /user-notifications/reset-count | |
| PublicApi | resetUserNotifications | POST /user-notifications/reset | |
| PublicApi | searchUsers | GET /user-search/{tenantId} | |
| PublicApi | setCommentText | POST /comments/{tenantId}/{commentId}/update-text | |
| PublicApi | unBlockCommentPublic | DELETE /block-from-comment/{commentId} | |
| PublicApi | unLockComment | POST /comments/{tenantId}/{commentId}/unlock | |
| PublicApi | unPinComment | POST /comments/{tenantId}/{commentId}/unpin | |
| PublicApi | updateFeedPostPublic | PUT /feed-posts/{tenantId}/{postId} | |
| PublicApi | updateUserNotificationCommentSubscriptionStatus | POST /user-notifications/{notificationId}/mark-opted/{optedInOrOut} | Enable or disable notifications for a specific comment. |
| PublicApi | updateUserNotificationPageSubscriptionStatus | POST /user-notifications/set-subscription-state/{subscribedOrUnsubscribed} | Enable or disable notifications for a page. When users are subscribed to a page, notifications are created for new root comments, and also |
| PublicApi | updateUserNotificationStatus | POST /user-notifications/{notificationId}/mark/{newStatus} | |
| PublicApi | uploadImage | POST /upload-image/{tenantId} | Upload and resize an image |
| PublicApi | voteComment | POST /comments/{tenantId}/{commentId}/vote |
Documentation for Models
- APIAuditLog
- APIBanUserChangeLog
- APIBanUserChangedValues
- APIBannedUser
- APIBannedUserWithMultiMatchInfo
- APIComment
- APICommentBase
- APICommentBase_meta
- APICommentCommonBannedUser
- APICreateUserBadgeResponse
- APIDomainConfiguration
- APIEmptyResponse
- APIEmptySuccessResponse
- APIError
- APIGetCommentResponse
- APIGetCommentsResponse
- APIGetUserBadgeProgressListResponse
- APIGetUserBadgeProgressResponse
- APIGetUserBadgeResponse
- APIGetUserBadgesResponse
- APIModerateGetUserBanPreferencesResponse
- APIModerateUserBanPreferences
- APIPage
- APISSOUser
- APISaveCommentResponse
- APIStatus
- APITenant
- APITenantDailyUsage
- APITicket
- APITicketDetail
- APITicketFile
- APIUserSubscription
- AddDomainConfigParams
- AddDomainConfigResponse
- AddDomainConfigResponse_anyOf
- AddPageAPIResponse
- AddSSOUserAPIResponse
- AdjustCommentVotesParams
- AdjustVotesResponse
- AggregateQuestionResultsResponse
- AggregateResponse
- AggregateTimeBucket
- AggregationAPIError
- AggregationItem
- AggregationOpType
- AggregationOperation
- AggregationRequest
- AggregationRequest_sort
- AggregationResponse
- AggregationResponse_stats
- AggregationValue
- AwardUserBadgeResponse
- BanUserFromCommentResult
- BanUserUndoParams
- BannedUserMatch
- BannedUserMatchType
- BannedUserMatch_matchedOnValue
- BillingInfo
- BlockFromCommentParams
- BlockSuccess
- BuildModerationFilterParams
- BuildModerationFilterResponse
- BulkAggregateQuestionItem
- BulkAggregateQuestionResultsRequest
- BulkAggregateQuestionResultsResponse
- BulkCreateHashTagsBody
- BulkCreateHashTagsBody_tags_inner
- BulkCreateHashTagsResponse
- BulkCreateHashTagsResponse_results_inner
- BulkPreBanParams
- BulkPreBanSummary
- ChangeCommentPinStatusResponse
- ChangeTicketStateBody
- ChangeTicketStateResponse
- CheckBlockedCommentsResponse
- CombineQuestionResultsWithCommentsResponse
- CommentData
- CommentHTMLRenderingMode
- CommentLogData
- CommentLogEntry
- CommentLogType
- CommentQuestionResultsRenderingType
- CommentQuestionsRequired
- CommentTextUpdateRequest
- CommentThreadDeletionMode
- CommentUserBadgeInfo
- CommentUserHashTagInfo
- CommentUserMentionInfo
- CommenterNameFormats
- CommentsByIdsParams
- CreateAPIPageData
- CreateAPISSOUserData
- CreateAPIUserSubscriptionData
- CreateCommentParams
- CreateEmailTemplateBody
- CreateEmailTemplateResponse
- CreateFeedPostParams
- CreateFeedPostResponse
- CreateFeedPostsResponse
- CreateHashTagBody
- CreateHashTagResponse
- CreateModeratorBody
- CreateModeratorResponse
- CreateQuestionConfigBody
- CreateQuestionConfigResponse
- CreateQuestionResultBody
- CreateQuestionResultResponse
- CreateSubscriptionAPIResponse
- CreateTenantBody
- CreateTenantPackageBody
- CreateTenantPackageResponse
- CreateTenantResponse
- CreateTenantUserBody
- CreateTenantUserResponse
- CreateTicketBody
- CreateTicketResponse
- CreateUserBadgeParams
- CreateV1PageReact
- CustomConfigParameters
- CustomEmailTemplate
- DeleteCommentAction
- DeleteCommentResult
- DeleteDomainConfigResponse
- DeleteFeedPostPublicResponse
- DeleteHashTagRequestBody
- DeletePageAPIResponse
- DeleteSSOUserAPIResponse
- DeleteSubscriptionAPIResponse
- DeletedCommentResultComment
- DigestEmailFrequency
- EmailTemplateDefinition
- EmailTemplateRenderErrorResponse
- EventLogEntry
- FComment
- FComment_meta
- FeedPost
- FeedPostLink
- FeedPostMediaItem
- FeedPostMediaItemAsset
- FeedPostStats
- FeedPostsStatsResponse
- FindCommentsByRangeItem
- FindCommentsByRangeResponse
- FlagCommentResponse
- GetAuditLogsResponse
- GetBannedUsersCountResponse
- GetBannedUsersFromCommentResponse
- GetCachedNotificationCountResponse
- GetCommentBanStatusResponse
- GetCommentTextResponse
- GetCommentVoteUserNamesSuccessResponse
- GetCommentsForUserResponse
- GetCommentsResponseWithPresence_PublicComment_
- GetCommentsResponse_PublicComment_
- GetDomainConfigResponse
- GetDomainConfigsResponse
- GetDomainConfigsResponse_anyOf
- GetDomainConfigsResponse_anyOf_1
- GetEmailTemplateDefinitionsResponse
- GetEmailTemplateRenderErrorsResponse
- GetEmailTemplateResponse
- GetEmailTemplatesResponse
- GetEventLogResponse
- GetFeedPostsResponse
- GetGifsSearchResponse
- GetGifsTrendingResponse
- GetHashTagsResponse
- GetModeratorResponse
- GetModeratorsResponse
- GetMyNotificationsResponse
- GetNotificationCountResponse
- GetNotificationsResponse
- GetPageByURLIdAPIResponse
- GetPagesAPIResponse
- GetPendingWebhookEventCountResponse
- GetPendingWebhookEventsResponse
- GetPublicFeedPostsResponse
- GetPublicPagesResponse
- GetQuestionConfigResponse
- GetQuestionConfigsResponse
- GetQuestionResultResponse
- GetQuestionResultsResponse
- GetSSOUserByEmailAPIResponse
- GetSSOUserByIdAPIResponse
- GetSSOUsersResponse
- GetSubscriptionsAPIResponse
- GetTenantDailyUsagesResponse
- GetTenantManualBadgesResponse
- GetTenantPackageResponse
- GetTenantPackagesResponse
- GetTenantResponse
- GetTenantUserResponse
- GetTenantUsersResponse
- GetTenantsResponse
- GetTicketResponse
- GetTicketsResponse
- GetTranslationsResponse
- GetUserInternalProfileResponse
- GetUserInternalProfileResponse_profile
- GetUserManualBadgesResponse
- GetUserNotificationCountResponse
- GetUserPresenceStatusesResponse
- GetUserResponse
- GetUserTrustFactorResponse
- GetV1PageLikes
- GetV2PageReactUsersResponse
- GetV2PageReacts
- GetVotesForUserResponse
- GetVotesResponse
- GifGetLargeResponse
- GifRating
- GifSearchInternalError
- GifSearchResponse
- GifSearchResponse_images_inner_inner
- HeaderAccountNotification
- HeaderState
- IgnoredResponse
- ImageContentProfanityLevel
- ImportedAgentApprovalNotificationFrequency
- ImportedSiteType
- LiveEvent
- LiveEventType
- LiveEvent_extraInfo
- MediaAsset
- MentionAutoCompleteMode
- MetaItem
- ModerationAPIChildCommentsResponse
- ModerationAPIComment
- ModerationAPICommentLog
- ModerationAPICommentResponse
- ModerationAPICountCommentsResponse
- ModerationAPIGetCommentIdsResponse
- ModerationAPIGetCommentsResponse
- ModerationAPIGetLogsResponse
- ModerationCommentSearchResponse
- ModerationExportResponse
- ModerationExportStatusResponse
- ModerationFilter
- ModerationPageSearchProjected
- ModerationPageSearchResponse
- ModerationSiteSearchProjected
- ModerationSiteSearchResponse
- ModerationSuggestResponse
- ModerationUserSearchProjected
- ModerationUserSearchResponse
- Moderator
- NotificationAndCount
- NotificationObjectType
- NotificationType
- PageUserEntry
- PageUsersInfoResponse
- PageUsersOfflineResponse
- PageUsersOnlineResponse
- PagesSortBy
- PatchDomainConfigParams
- PatchDomainConfigResponse
- PatchPageAPIResponse
- PatchSSOUserAPIResponse
- PendingCommentToSyncOutbound
- PostRemoveCommentApiResponse
- PreBanSummary
- PubSubComment
- PubSubCommentBase
- PubSubVote
- PublicAPIDeleteCommentResponse
- PublicAPIGetCommentTextResponse
- PublicAPISetCommentTextResponse
- PublicBlockFromCommentParams
- PublicComment
- PublicCommentBase
- PublicFeedPostsResponse
- PublicPage
- PublicVote
- PutDomainConfigResponse
- PutSSOUserAPIResponse
- QueryPredicate
- QueryPredicate_value
- QuestionConfig
- QuestionConfig_customOptions_inner
- QuestionDatum
- QuestionRenderingType
- QuestionResult
- QuestionResultAggregationOverall
- QuestionSubQuestionVisibility
- QuestionWhenSave
- ReactBodyParams
- ReactFeedPostResponse
- Record_string__before_string_or_null__after_string_or_null___value
- RemoveCommentActionResponse
- RemoveUserBadgeResponse
- RenderEmailTemplateBody
- RenderEmailTemplateResponse
- RenderableUserNotification
- RepeatCommentCheckIgnoredReason
- RepeatCommentHandlingAction
- ReplaceTenantPackageBody
- ReplaceTenantUserBody
- ResetUserNotificationsResponse
- SORT_DIR
- SSOSecurityLevel
- SaveCommentResponseOptimized
- SaveCommentsBulkResponse
- SaveCommentsResponseWithPresence
- SearchUsersResponse
- SearchUsersResult
- SearchUsersSectionedResponse
- SetCommentApprovedResponse
- SetCommentTextParams
- SetCommentTextResponse
- SetCommentTextResult
- SetUserTrustFactorResponse
- SizePreset
- SortDirections
- SpamRule
- TOSConfig
- TenantBadge
- TenantHashTag
- TenantPackage
- UnBlockFromCommentParams
- UnblockSuccess
- UpdatableCommentParams
- UpdateAPIPageData
- UpdateAPISSOUserData
- UpdateAPIUserSubscriptionData
- UpdateDomainConfigParams
- UpdateEmailTemplateBody
- UpdateFeedPostParams
- UpdateHashTagBody
- UpdateHashTagResponse
- UpdateModeratorBody
- UpdateNotificationBody
- UpdateQuestionConfigBody
- UpdateQuestionResultBody
- UpdateSubscriptionAPIResponse
- UpdateTenantBody
- UpdateTenantPackageBody
- UpdateTenantUserBody
- UpdateUserBadgeParams
- UpdateUserNotificationCommentSubscriptionStatusResponse
- UpdateUserNotificationPageSubscriptionStatusResponse
- UpdateUserNotificationStatusResponse
- UploadImageResponse
- User
- UserBadge
- UserBadgeProgress
- UserNotification
- UserNotificationCount
- UserNotificationWriteResponse
- UserPresenceData
- UserReactsResponse
- UserSearchResult
- UserSearchSection
- UserSearchSectionResult
- UserSessionInfo
- UsersListLocation
- VoteBodyParams
- VoteDeleteResponse
- VoteResponse
- VoteResponseUser
- VoteStyle
Documentation for Authorization
api_key
- Type: API key
- API key parameter name: x-api-key
- Location: HTTP header
צבר 
מאגד מסמכים על‑ידי קיבוץ שלהם (אם מתקבל groupBy) והחלת מספר פעולות.
פעולות שונות (למשל sum, countDistinct, avg, וכד') נתמכות.
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| aggregationRequest | AggregationRequest | לא | |
| options | AggregateOptions | לא |
תגובה
מחזיר: Option[AggregateResponse]
דוגמה

קבל יומני ביקורת 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| options | GetAuditLogsOptions | No |
תגובה
מחזיר: Option[GetAuditLogsResponse]
דוגמה

התנתק ציבורי 
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

חסום מההערה ציבורית 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| publicBlockFromCommentParams | PublicBlockFromCommentParams | No | |
| sso | string = "" | No |
תגובה
מחזיר: Option[BlockSuccess]
דוגמה

בטל חסימה מההערה ציבורית 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| publicBlockFromCommentParams | PublicBlockFromCommentParams | No | |
| sso | string = "" | No |
תגובה
מחזיר: Option[UnblockSuccess]
דוגמה

הערות נבדקו לחסימה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentIds | string | No | |
| sso | string = "" | No |
תגובה
מחזיר: Option[CheckBlockedCommentsResponse]
דוגמה

חסום משתמש מההערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| blockFromCommentParams | BlockFromCommentParams | No | |
| options | BlockUserFromCommentOptions | No |
תגובה
מחזיר: Option[BlockSuccess]
דוגמה

צור הערה ציבורית 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| urlId | string | כן | |
| broadcastId | string | לא | |
| commentData | CommentData | לא | |
| options | CreateCommentPublicOptions | לא |
תגובה
מחזיר: Option[SaveCommentsResponseWithPresence]
דוגמה

מחק הערה 
Parameters
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| id | string | לא | |
| options | DeleteCommentOptions | לא |
Response
מחזירים: Option[DeleteCommentResult]
Example

מחק הערה ציבורית 
Parameters
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| commentId | string | כן | |
| broadcastId | string | לא | |
| options | DeleteCommentPublicOptions | לא |
Response
מחזיר: Option[PublicAPIDeleteCommentResponse]
Example

מחק הצבעת הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| voteId | string | No | |
| urlId | string | Yes | |
| broadcastId | string | No | |
| options | DeleteCommentVoteOptions | No |
תגובה
מחזיר: Option[VoteDeleteResponse]
דוגמה

סמן הערה 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| options | FlagCommentOptions | No |
תגובה
מחזיר: Option[FlagCommentResponse]
דוגמה

קבל הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| id | string | לא |
תגובה
מחזיר: Option[APIGetCommentResponse]
דוגמה

קבל הערות 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| options | GetCommentsOptions | לא |
תגובה
מחזיר: Option[APIGetCommentsResponse]
דוגמה

קבל הערות ציבוריות 
req tenantId urlId
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| urlId | string | כן | |
| options | GetCommentsPublicOptions | לא |
תגובה
Returns: Option[GetCommentsResponseWithPresencePublicComment]
דוגמה

קבל טקסט הערה 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| options | GetCommentTextOptions | No |
תגובה
מחזיר: Option[PublicAPIGetCommentTextResponse]
דוגמה

קבל שמות משתמשים שהצביעו על ההערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| commentId | string | כן | |
| dir | int | לא | |
| sso | string = "" | לא |
תשובה
מחזיר: Option[GetCommentVoteUserNamesSuccessResponse]
דוגמה

נעל הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| commentId | string | כן | |
| broadcastId | string | לא | |
| sso | string = "" | לא |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

הצמד הערה 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| commentId | string | כן | |
| broadcastId | string | לא | |
| sso | string = "" | לא |
תגובה
מחזיר: Option[ChangeCommentPinStatusResponse]
דוגמה

שמור הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| createCommentParams | CreateCommentParams | No | |
| options | SaveCommentOptions | No |
תגובה
מחזירים: Option[APISaveCommentResponse]
דוגמה

שמור הערות במקבץ 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| createCommentParams | seq[CreateCommentParams] | לא | |
| options | SaveCommentsBulkOptions): (Option[seq[SaveCommentsBulkResponse]] | לא | |
| id | string | לא | |
| fromName | string | לא |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

הגדר טקסט הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| commentId | string | כן | |
| broadcastId | string | לא | |
| commentTextUpdateRequest | CommentTextUpdateRequest | לא | |
| options | SetCommentTextOptions | לא |
תשובה
מחזיר: Option[PublicAPISetCommentTextResponse]
דוגמה

בטל חסימת משתמש מההערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| unBlockFromCommentParams | UnBlockFromCommentParams | No | |
| options | UnBlockUserFromCommentOptions | No |
תגובה
מחזיר: Option[UnblockSuccess]
דוגמה

בטל סימון הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| options | UnFlagCommentOptions | No |
תגובה
מחזיר: Option[FlagCommentResponse]
דוגמה

בטל נעילת הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| broadcastId | string | No | |
| sso | string = "" | No |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

בטל הצמדת הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| commentId | string | כן | |
| broadcastId | string | לא | |
| sso | string = "" | לא |
תשובה
מחזיר: Option[ChangeCommentPinStatusResponse]
דוגמה

עדכן הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| updatableCommentParams | UpdatableCommentParams | No | |
| options | UpdateCommentOptions | No |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

הצביע על הערה 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| urlId | string | Yes | |
| broadcastId | string | No | |
| voteBodyParams | VoteBodyParams | No | |
| options | VoteCommentOptions | No |
תגובה
מחזיר: Option[VoteResponse]
דוגמה

קבל הערות למשתמש 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| options | GetCommentsForUserOptions | No |
תגובה
מחזיר: Option[GetCommentsForUserResponse]
דוגמה

הוסף תצורת תחום 
פרמטרים
| שם | סוג | מחובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| addDomainConfigParams | AddDomainConfigParams | לא |
תגובה
מחזיר: Option[AddDomainConfigResponse]
דוגמה

מחק תצורת תחום 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| domain | string | לא |
תגובה
מחזיר: Option[DeleteDomainConfigResponse]
דוגמה

קבל תצורת תחום 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| domain | string | No |
תגובה
מחזיר: Option[GetDomainConfigResponse]
דוגמה

קבל תצורות תחום 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן |
תגובה
מחזיר: Option[GetDomainConfigsResponse]
דוגמה

עדכן חלקית תצורת תחום 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| domainToUpdate | string | לא | |
| patchDomainConfigParams | PatchDomainConfigParams | לא |
תגובה
מחזיר: Option[PatchDomainConfigResponse]
דוגמה

הצב תצורת תחום 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| domainToUpdate | string | לא | |
| updateDomainConfigParams | UpdateDomainConfigParams | לא |
תגובה
מחזיר: Option[PutDomainConfigResponse]
דוגמה

צור תבנית אימייל 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| createEmailTemplateBody | CreateEmailTemplateBody | לא |
תגובה
מחזיר: Option[CreateEmailTemplateResponse]
דוגמה

מחק תבנית אימייל 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| id | string | לא |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

מחק שגיאת רינדור תבנית אימייל 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| errorId | string | No |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

קבל תבנית אימייל 
פרמטרים
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No |
תגובה
מחזיר: Option[GetEmailTemplateResponse]
דוגמה

קבל הגדרות תבנית אימייל 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן |
תגובה
מחזיר: Option[GetEmailTemplateDefinitionsResponse]
דוגמה

קבל שגיאות רינדור תבנית אימייל 
Parameters
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| skip | float64 | No |
Response
מחזיר: Option[GetEmailTemplateRenderErrorsResponse]
Example

קבל תבניות אימייל 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| skip | float64 | לא |
תגובה
מחזיר: Option[GetEmailTemplatesResponse]
דוגמה

רנדר תבנית אימייל 
פרמטרים
| שם | טיפוס | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| renderEmailTemplateBody | RenderEmailTemplateBody | No | |
| locale | string = "" | No |
תשובה
מחזיר: Option[RenderEmailTemplateResponse]
דוגמה

עדכן תבנית אימייל 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| updateEmailTemplateBody | UpdateEmailTemplateBody | No |
תגובה
מחזיר: Option[APIEmptyResponse]
דוגמה

קבל יומן אירועים 
בקשה tenantId urlId userIdWS
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| urlId | string | כן | |
| userIdWS | string | לא | |
| startTime | int64 | לא | |
| endTime | int64 | לא |
תגובה
מחזיר: Option[GetEventLogResponse]
דוגמה

קבל יומן אירועים גלובלי 
req tenantId urlId userIdWS
פרמטרים
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| urlId | string | Yes | |
| userIdWS | string | No | |
| startTime | int64 | No | |
| endTime | int64 | No |
תגובה
Returns: Option[GetEventLogResponse]
דוגמה

צור פוסט פיד 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| createFeedPostParams | CreateFeedPostParams | לא | |
| options | CreateFeedPostOptions | לא |
תגובה
מחזיר: Option[CreateFeedPostsResponse]
דוגמה

צור פוסט פיד ציבורי 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| createFeedPostParams | CreateFeedPostParams | No | |
| options | CreateFeedPostPublicOptions | No |
תגובה
מחזיר: Option[CreateFeedPostResponse]
דוגמה

מחק פוסט פיד ציבורי 
פרמטרים
| שם | סוג | חובה | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| postId | string | לא | |
| options | DeleteFeedPostPublicOptions | לא |
תגובה
מחזיר: Option[DeleteFeedPostPublicResponse]
דוגמה

קבל פוסטים בפיד 
req tenantId afterId
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| options | GetFeedPostsOptions | לא |
תגובה
מחזיר: Option[GetFeedPostsResponse]
דוגמה

קבל פוסטים בפיד ציבוריים 
req tenantId afterId
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | כן | |
| options | GetFeedPostsPublicOptions | לא |
תגובה
מחזיר: Option[PublicFeedPostsResponse]
דוגמה

קבל סטטיסטיקות פוסטים בפיד 
פרמטרים
| שם | סוג | נדרש | תיאור |
|---|---|---|---|
| tenantId | string | Yes | |
| postIds | seq[string] | No | |
| sso | string = "" | No |
תגובה
מחזיר: Option[FeedPostsStatsResponse]
דוגמה
